Contributing
============

## Reporting issues

* IMPORTANT: Any issues reported regarding the old Play Store version of the original GitHub app will be closed without investigation. Please only report issues regarding the current repo version (i.e. you must confirm this issue exists in the latest master). This is a different app now, and many old issues with the original app (such as 2FA) were resolved in master but not released.
* Make sure there's not already an issue (open or closed) regarding your issue.
* Include detailed information and steps to reproduce. Any issues opened with no description will be ignored.
* Include a screenshot(s) of the issue. Brownie points for a screen recording of the issue.

## ALL pull requests

Please include a descriptive title and description. If you changed anything with the UI, please include screenshots of how
it looks. Use descriptive messages for your commits, and be sure to explain the *why* for commits where appropriate.

Please **don't** squash all your commits into one before opening the PR. Commits are easier to review when they're split up and in the
order they happened. Of course, do squash smaller commits together as needed to ensure a clean history.

If you open a pull request, you are responsible for engaging with us in the review and discussion afterward. If you don't respond
to comments after opening, we will probably just close it.

## Translations

Always welcome, but please be prepared to have someone else that speaks if available to review it. Chances are that we cannot
review it ourselves, for obvious reasons.

## Bugfixes for existing issues

Always welcome. Please reference the issue number you're addressing in the PR, and let us know in the issue tracker if
you're working on it.

## New features, UI changes, and infrastructure changes

Please make sure you discuss these with us in the issue tracker before opening a pull request. It's good to get a conversation
going first to make sure that everyone is on the same page, and this way you don't accidentally invest a lot of time into
something we don't want to merge. That said, we're always open to these, so please don't hesitate to start the discussion!
